Package uk.ac.starlink.topcat.interop

## Interface Transmitter

- All Known Implementing Classes:
    `DisabledTransmitter`, `TableSendActionManager`

      public interface Transmitter

  Interface for an action which notionally sends some information from this application to one or more other applications.
  Since:
    4 Sep 2008
  Author:
    Mark Taylor

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.swing.JMenu` | `createSendMenu()` | Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.
    `javax.swing.Action` | `getBroadcastAction()` | Returns an action which sends the information to all appropriate recipients.
    `void` | `setEnabled​(boolean isEnabled)` | Sets whether the send actions controlled by this transmitter should be enabled or not.

- - ### Method Detail

    - #### getBroadcastAction

          javax.swing.Action getBroadcastAction()

      Returns an action which sends the information to all appropriate recipients.
      Returns:
        broadcast action

    - #### createSendMenu

          javax.swing.JMenu createSendMenu()

      Returns a per-application menu which allows sending the information to any single one of the appropriate recipients.
      Returns:
        send menu

    - #### setEnabled

          void setEnabled​(boolean isEnabled)

      Sets whether the send actions controlled by this transmitter should be enabled or not. This is an AND-like restriction - the actions may still be disabled for other reasons (e.g. no hub connection).
      Parameters:
        `isEnabled` - true iff actions may be invoked

Copyright © 2003-2018 CCLRC: Council for the Central Laboratory of the Research Councils. All Rights Reserved.